import 'package:clx_flutter_message/core/notice/notice_dialog_widget.dart';
import 'package:clx_flutter_message/util/extension.dart';

import '../model/message_data.dart';

mixin NoticeManager {
  final NoticeDialogWidgetController? _controller =
      findOtherLogic<NoticeDialogWidgetController>();

  void insertNotice(MessageData data) {
    _controller?.insertNotice(data);
  }

  void clearNoticeDialog() {
    _controller?.clear();
  }

  void setNotice(List<dynamic> data) {
    _controller?.setNotice(data);
  }
}
